Subject: Re: [PATCH net-next-2.6] netfilter: remove deprecated config option NF_CT_ACCT

From: Patrick McHardy <[email-masked]>
Date: Wed, 30 Jun 2010 14:53:17 +0200

Jiri Pirko wrote:
> Wed, Jun 30, 2010 at 02:10:31PM CEST, [email-masked] wrote:
>   
>> Jiri Pirko wrote:
>>     
>>> This patch removes deprecated config option NF_CT_ACCT. The default value is set
>>> to 0 and warning message is put into connbytes_mt_init (connbytes selected
>>> NF_CT_ACCT to enable it by default).
>>>       
>> Thanks, I already have a patch queued in nf-next for this.
>>
>>     
>
> Oh, I see that: d70a011dbbaa6335a19deb63ec3eb613f48faafd
>   

a8756201ba4189bca3ee1a6ec4e290f467ee09ab also belongs to the removal.

>
> Apart your patch doesn't remove option from defconfigs (not sure if that's
> necessary or not), your patch also do not print warning in connbytes_mt_init.
> That would make connbytes silently non-functional. Therefore I think my patch is
> better (more complete).

The patch I have queued is automatically enabling accounting when
the connbytes match is used and is printing a warning.